Subject: Re: bug#26791: Attempt to apply a string as a procedure during Hydra evaluation
From: [email-masked] (Ludovic Courtès)
To: Danny Milosavljevic <[email-masked]>
Cc: Mark H Weaver <[email-masked]>, [email-masked]
Date: Sun, 07 May 2017 11:35:39 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Danny Milosavljevic <[email-masked]> skribis:

> I think it always works (also without compilation) when I move the boot-parameters record definition up in gnu/system.scm (so it comes before its clients).

Yeah I just pushed that as 8e815c5b6903a545c46b674c1cd1cc3180f835db.

The thing is that ‘boot-parameters’ is a macro, so it must be defined
before used.

Because of the way build-aux/compile-all.scm builds things (first loads
modules, then builds them), this error would not show up because the
macro would have been defined during the load phase.  However evaluation
on Hydra relies on auto-compilation, which does things the “normal” way.

I’ve started an evaluation of ‘master’ on Hydra.

Thanks,
Ludo’.